org.apache.cassandra.db.compaction

## Class CompactionLogger

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionLogger

    public class CompactionLogger
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static interface` `CompactionLogger.Strategy`
`static interface` `CompactionLogger.StrategySummary` This will produce the compaction strategy's starting information.
`static interface` `CompactionLogger.Writer` This is an interface to allow writing to a different interface.

### Constructor Summary

Constructors
Constructor and Description
`CompactionLogger(ColumnFamilyStore cfs, CompactionStrategyManager csm)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `compaction(long startTime, java.util.Collection<SSTableReader> input, long endTime, java.util.Collection<SSTableReader> output)`
`void` `disable()`
`void` `enable()`
`void` `flush(java.util.Collection<SSTableReader> sstables)`
`void` `pending(AbstractCompactionStrategy strategy, int remaining)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompactionLogger

    public CompactionLogger(ColumnFamilyStore cfs,
                            CompactionStrategyManager csm)

### Method Detail

#### enable

    public void enable()

#### disable

    public void disable()

#### flush

    public void flush(java.util.Collection<SSTableReader> sstables)

#### compaction

    public void compaction(long startTime,
                           java.util.Collection<SSTableReader> input,
                           long endTime,
                           java.util.Collection<SSTableReader> output)

#### pending

    public void pending(AbstractCompactionStrategy strategy,
                        int remaining)